Bug 46219 - Anaconda exception (fsset.py problem)
Anaconda exception (fsset.py problem)
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Matt Wilson
Brock Organ
: 47082 47126 49862 (view as bug list)
Depends On:
  Show dependency treegraph
Reported: 2001-06-27 09:22 EDT by Phil Knirsch
Modified: 2015-03-04 20:09 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2001-07-25 12:14:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Anaconda traceback (1.48 KB, text/plain)
2001-06-27 09:23 EDT, Phil Knirsch
no flags Details

  None (edit)
Description Phil Knirsch 2001-06-27 09:22:13 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux 2.4.5-9 i686; en-US; rv:0.9.1)

Description of problem:
Anaconda fails at the very end of the installation after the post installation.

Using graphical install with custom setup and manual diskdruid filesystem
setup it installs everything and performs the post installation. Right at
the end of that or right after it (scrollbar is at 100%) i get the attached
anaconda traceback.

I selected grub as bootloader if that helps, but the system didn't come up
afterewards, so i guess it has something to do with that.

Here my partition layout:

Disk /dev/hda: 255 heads, 63 sectors, 3737 cylinders
Units = cylinders of 16065 * 512 bytes

   Device Boot    Start       End    Blocks   Id  System
/dev/hda1             1        66    530113+  82  Linux swap
/dev/hda2            67       328   2104515   83  Linux
/dev/hda3           329       590   2104515   83  Linux
/dev/hda4           591      3737  25278277+  83  Linux

I installed on /dev/hda2.

How reproducible:
Didn't try

Steps to Reproduce:
1.Run installation as described
2.Wait till the very end for the traceback

Actual Results:  System was basically completely installed but didn't boot

Expected Results:  Installation should have finished.

Additional info:
Comment 1 Phil Knirsch 2001-06-27 09:23:01 EDT
Created attachment 21928 [details]
Anaconda traceback
Comment 2 Michael Fulbright 2001-06-27 14:27:50 EDT
Seen this before - katzj is testing with an older python package. Thinking that
recomilation has caused bad code generation.
Comment 3 Brent Nordquist 2001-07-02 13:56:45 EDT
I'm going to tag onto this one; apologies if it's not the same thing.

TUI install of Fairfax beta1 over FTP.

How Reproducible:
Twice in a row, same thing.

At the very end, when the "Performing post install configuration" progress bar
is filled red for the first six spaces, [Exception Occurred]:
Traceback (innermost last)
  File "/usr/bin/anaconda", line 561, in ?
    intf.run(id, dispatch)
  File "/tmp/11581-i386/install//usr/lib/anaconda/text.py", line 386, in run
  File "/tmp/11581-i386/install//usr/lib/anaconda/dispatch.py", line 120, in
  File "/tmp/11581-i386/install//usr/lib/anaconda/dispatch.py", line 185, in
  File "/tmp/11581-i386/install//usr/lib/anaconda/packages.py", line 572, in
  File "/tmp/11581-i386/install//usr/lib/anaconda/packages.py", line 713, in
ValueError: unpack tuple of wrong size

The VT's don't seem to contain anything exceptional.
Comment 4 Brent Nordquist 2001-07-02 16:05:12 EDT
Same result with HTTP install.  See bug 47039 for how I'm configuring TCP/IP,
and bug 46746 for how it autopartitioned (I'm just accepting the default
partitioning now; only steps 1-3 of that bug apply to this bug).
Comment 5 Matt Wilson 2001-07-02 17:31:45 EDT

*** This bug has been marked as a duplicate of 46450 ***
Comment 6 Matt Wilson 2001-07-02 17:32:29 EDT
oops, duped wrong bug
Comment 7 Matt Wilson 2001-07-02 17:49:09 EDT
Brent - this is a different bug, please refile your unpack tuple bug as another bug.

Comment 8 Brent Nordquist 2001-07-03 08:45:33 EDT
Done; see bug 47126.  Sorry for the pollution.  :-)
Comment 9 Jeremy Katz 2001-07-06 00:53:28 EDT
*** Bug 47126 has been marked as a duplicate of this bug. ***
Comment 10 Jeremy Katz 2001-07-09 23:18:55 EDT
*** Bug 47082 has been marked as a duplicate of this bug. ***
Comment 11 Glen Foster 2001-07-13 18:06:22 EDT
This defect considered MUST-FIX for Fairfax gold-release.
Comment 12 Michael Fulbright 2001-07-16 12:19:51 EDT
No real progress on this one yet - msw has enabled some code which should help
isolate it (if it would just happen again).
Comment 13 Brent Nordquist 2001-07-16 12:26:11 EDT
Well, this has a complex history; I tacked onto this bug, was told my problem
was different; created a new bug 47126, which was then marked as a duplicate of

I would be happy to test here, on the hardware where it happened, if you have an
updates disk with the new code.
Comment 14 Matt Wilson 2001-07-24 17:55:36 EDT
*** Bug 49862 has been marked as a duplicate of this bug. ***
Comment 15 Michael Fulbright 2001-07-25 12:13:57 EDT
*** Bug 49862 has been marked as a duplicate of this bug. ***
Comment 16 Matt Wilson 2001-08-09 14:41:51 EDT
fixed a double free in the rpm python binding that was causing this.

Note You need to log in before you can comment on or make changes to this bug.